(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16014,        357]
NotebookOptionsPosition[     15539,        337]
NotebookOutlinePosition[     15995,        355]
CellTagsIndexPosition[     15952,        352]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", 
        RowBox[{"3", "*", 
         RowBox[{"y", "^", "2"}]}], "-", "8"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"d", "=", "5"}], ",", 
      RowBox[{"e", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"f", "=", "5"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<F(x,y) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "e", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "f", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Dynamic", "[", 
           RowBox[{"Grid", "[", 
            RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"text", " ", "-", " ", 
              RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
            
            RowBox[{"{", 
             RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
               RowBox[{"Framed", "@", 
                RowBox[{"Text", "@", 
                 RowBox[{"Column", "[", 
                  RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", "q", "]"}], ",", 
                    "\"\< = 0\>\""}], "}"}], "]"}], ",", "Black", ",", "16"}],
                     "]"}], "\[IndentingNewLine]", 
                    RowBox[{"(*", "4", "*)"}], "}"}], ",", 
                   RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"(*", "3", "*)"}], "]"}]}]}], "\[IndentingNewLine]",
                "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"plots", " ", "-", " ", 
                RowBox[{"second", " ", "row", "        ", 
                 RowBox[{"ContourPlot3D", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "^", "3"}], "+", 
                    RowBox[{"y", "^", "2"}], "-", 
                    RowBox[{"z", "^", "2"}]}], "==", "0"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"y", ",", 
                    RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"z", ",", 
                    RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}]}], 
               "*)"}], "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Show", "[", 
                RowBox[{"{", 
                 RowBox[{"(*", "show", "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"ContourPlot", "[", 
                  RowBox[{"(*", "plot", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"q", "\[Equal]", "0"}], " ", ",", " ", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", "c", ",", "d"}], "}"}], ",", " ", 
                   RowBox[{"{", 
                    RowBox[{"y", ",", "e", ",", "f"}], "}"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
                   RowBox[{"AspectRatio", "\[Rule]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"f", "-", "e"}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"d", "-", "c"}], ")"}]}]}]}], 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"(*", "plot", "*)"}], "]"}], "\[IndentingNewLine]", 
                 
                 RowBox[{"(*", "show", "*)"}], "}"}], "]"}], 
               "\[IndentingNewLine]", 
               RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
             RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
            RowBox[{"(*", "0", "*)"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, {
   3.555941020644127*^9, 3.5559411694928627`*^9}, {3.5559552706354723`*^9, 
   3.555955302422906*^9}, {3.566500516818446*^9, 3.5665005172349358`*^9}, {
   3.5665008452366*^9, 3.5665008892106323`*^9}, {3.5665009576476927`*^9, 
   3.566501023356498*^9}, 3.566501085646943*^9, {3.56650112668701*^9, 
   3.566501139266136*^9}, {3.566501207697921*^9, 3.566501216007934*^9}, {
   3.5665012483117447`*^9, 3.566501286028373*^9}, {3.566501339688385*^9, 
   3.56650136754996*^9}, {3.566501474730804*^9, 3.566501521545776*^9}, 
   3.5665216645381393`*^9, {3.5665217947742023`*^9, 3.566521803056665*^9}, {
   3.5665222129845037`*^9, 3.566522213407404*^9}, {3.566522246416418*^9, 
   3.566522271452704*^9}, {3.566522444011497*^9, 3.566522458145372*^9}, 
   3.5665225342452087`*^9, 3.5674238470548573`*^9, 3.56742401806423*^9, 
   3.567424720207588*^9}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = -8 + $CellContext`x^2 + 
   3 $CellContext`y^2, $CellContext`c$$ = -5, $CellContext`d$$ = 
   5, $CellContext`e$$ = -5, $CellContext`f$$ = 5}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"F(x,y) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`e$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`f$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[
          Dynamic[
           Grid[{{
              Framed[
               Text[
                Column[{
                  Style[
                   Row[{
                    TraditionalForm[$CellContext`q$$], " = 0"}], Black, 16]}, 
                 Alignment -> Center]]]}, {
              Show[{
                
                ContourPlot[$CellContext`q$$ == 
                 0, {$CellContext`x, $CellContext`c$$, $CellContext`d$$}, \
{$CellContext`y, $CellContext`e$$, $CellContext`f$$}, ImageSize -> 350, 
                 AspectRatio -> ($CellContext`f$$ - \
$CellContext`e$$)/($CellContext`d$$ - $CellContext`c$$)]}]}}]], 
          TrackedSymbols -> True, Alignment -> Center], StandardForm],
        ImageSizeCache->{489., {268., 275.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{
  3.5665200356396217`*^9, 3.5665216690881977`*^9, 3.566521805789359*^9, {
   3.566522449698307*^9, 3.566522460043393*^9}, 3.566522536610984*^9, 
   3.5665226087115173`*^9, 3.567386535192751*^9, 3.5674247218027554`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Implicit Plot Demo\>\"", "\[IndentingNewLine]", 
   RowBox[{"By", " ", 
    ButtonBox[
     RowBox[{"Ethan", " ", "Bloch"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"],
        None},
     ButtonNote->
      "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}]\
], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, 3.554645979032176*^9, {
   3.5546460222225246`*^9, 3.554646054791726*^9}, {3.555941238852641*^9, 
   3.555941263560933*^9}, {3.559236862460759*^9, 3.5592368627682877`*^9}, {
   3.566520024570212*^9, 3.566520030279319*^9}, {3.566522279147891*^9, 
   3.566522279760498*^9}, 3.567386531530218*^9}]
},
WindowSize->{1007, 758},
WindowMargins->{{158, Automatic}, {Automatic, 23}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 10693, 208, 832, "Input"],
Cell[11275, 232, 3217, 79, 729, "Output"]
}, Open  ]],
Cell[14507, 314, 1028, 21, 110, "Input"]
}
]
*)

(* End of internal cache information *)
